Welche Plugins laufen bereits mit Rails 3?

Die nächste große Version von Rails steht vor der Tür. Eine erste öffentliche Beta ist bereit zum Testen. Rails 3 bringt viele Änderungen an der API mit, sodass eigene Projekte vor dem Laufen mit dem neuen Rails angepasst werden müssen. Bei eigenen Projekten stellt das in der Regel nicht solch ein großes Problem dar. Anders sieht es bei den eingesetzten Plugins Dritter aus. Sind diese bereits mit Rails 3 lauffähig?

Diese Frage stellten sich auch die Entwickler von Engine Jard und haben kurzerhand eine neue Communityseite ins Leben gerufen, die Licht ins Dunkel bringen soll. Auf RailsPlugins.org sind bereits etliche Plugins mit entsprechenden Hinweise zur Lauffähigkeit auf Rails 3, Ruby 1.9, JRuby sowie zur Threadsicherheit gelistet. Jeder Entwickler kann seine eigenen oder seine genutzten Plugins auf der Plattform registrieren und die gemachten Erfahrungen zur Lauffähigkeit hinterlegen. Somit entsteht ein Nachschlagewerk für die Rails-Gemeinschaft.

Ein schönes und vor allem einfaches Projekt mit einem hohen Nutzwert, wie ich finde.

Welche Plugins laufen bereits mit Rails 3?
Markiert in: